Package org.jfree.layouting.layouter.style

## Class LayoutStylePool

- java.lang.Object
- - org.jfree.layouting.layouter.style.LayoutStylePool

-     public class LayoutStylePool
      extends java.lang.Object

  This class does not work as expected as long as we have no clear life-cycle for the layout-style classes.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LayoutStylePool` | `getPool​()` |
    `LayoutStyleImpl` | `getStyle​()` |
    `void` | `reclaim​(LayoutStyle layoutStyle, java.lang.Object reference)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPool

          public static LayoutStylePool getPool​()

    - #### getStyle

          public LayoutStyleImpl getStyle​()

    - #### reclaim

          public void reclaim​(LayoutStyle layoutStyle,
                              java.lang.Object reference)